#!/usr/bin/env python2

# sometimes data come from an artificially created MSEEDs and their sampling
# rate may be wrong. This allows to override sampling rate foundin MSEED.
# Should be nonnegative; if 0, sampling rate from MSEED will be used.
SAMPLING_RATE = 0

# input files to read signals from
DATA_FILES = [
'Data/3a60z2.mseed', ###
'Data/3d52z2.mseed', ###
'Data/3n28z2.mseed' ###
###'/opt/sixaola/v3/sleeman-self-noise/s75b.mseed',
###'/opt/sixaola/v3/sleeman-self-noise/s76b.mseed',
###'/opt/sixaola/v3/sleeman-self-noise/s77b.mseed',
#     'DATA/BRU2-HHZ_granite-1hrsdata-noisyhr-feb26_2014-02-26-19-26.mseed',
#    'DATA/BRUC2-HHZ_granite-1hrsdata-noisyhr-feb26_2014-02-26-19-26.mseed',
#    'DATA/BRUC3-HHZ_granite-1hrsdata-noisyhr-feb26_2014-02-26-19-26.mseed',

#    'DATA/BRU2-HHZ_granite-1hrsdata-quiethr-feb26_2014-02-26-19-20.mseed',
#   'DATA/BRUC2-HHZ_granite-1hrsdata-quiethr-feb26_2014-02-26-19-20.mseed',
#   'DATA/BRUC3-HHZ_granite-1hrsdata-quiethr-feb26_2014-02-26-19-20.mseed',

#    'DATA/BRU2-HHZ_granite-6hrs-noisy.mseed',
#   'DATA/BRUC2-HHZ_granite-6hrs-noisy.mseed',
#   'DATA/BRUC3-HHZ_granite-6hrs-noisy.mseed',

#    'DATA/BRU2-HHZ_granite-6hrs-quiet.mseed',
#   'DATA/BRUC3-HHZ_granite-6hrs-quiet.mseed',
#   'DATA/BRUC2-HHZ_granite-6hrs-quiet.mseed',

#    'DATA/BRU2-HHZ_granite-multiday_2014-02-26-19-33.mseed',
#   'DATA/BRUC2-HHZ_granite-multiday_2014-02-26-19-33.mseed',
#   'DATA/BRUC3-HHZ_granite-multiday_2014-02-26-19-33.mseed',
]

# corresponding response files
RESP_FILES = [
'Data/SAC_PZs_3A60', ###
'Data/SAC_PZs_3D52', ###
'Data/SAC_PZs_3N28' ###
###'/opt/sixaola/v3/sleeman-self-noise/RESP.PA.S75..EHZ', '/opt/sixaola/v3/sleeman-self-noise/RESP.PA.S76..EHZ', '/opt/sixaola/v3/sleeman-self-noise/RESP.PA.S77..EHZ',
#    'DATA/SAC_PZs_PA_BRU2_HHZ', 'DATA/SAC_PZs_PA_BRUC2_HHZ', 'DATA/SAC_PZs_PA_BRUC3_HHZ',
#    'DATA/RESP.PA.BRU2..HHZ'  , 'DATA/RESP.PA.BRUC2..HHZ'  , 'DATA/RESP.PA.BRUC3..HHZ',
]

# switch legend on/off
PLOT_LEGEND =  True

# plot total power
PLOT_POWER = False

# plot sleeman noise
PLOT_SLEEMAN = True

# plot holcomb noise
PLOT_HOLCOMB = False

# plot low noise model (NLNM.txt)
PLOT_NLNM = True

### plot mode low noise model (MLNM.txt)
PLOT_MLNM = True

# plot high noise model (NHNM.txt)
PLOT_NHNM = True

# plot coherences in another window
PLOT_COHE = True

# title of the plot
TITLE = 'Sleeman Self Noise Sixaola2 version 3'

# X axis mode: frequency ('hertz') or period ('seconds')
XMODE = 'seconds'
#XMODE = 'hertz'

# cutoff for low frequencies: in 'hertz' mode, means Hz, in 'seconds' mode, means seconds
CUTOFF = 100
#CUTOFF = 0.0001

# color cycle palette
COLOR_CYCLE = ['r', 'g', 'b']


# plot local earthquake noise models
PLOT_LOCALEQ = True

# plot regional earthquake noise models   
PLOT_REGIONALEQ = False

# plot teleseismic earthquake noise models   
PLOT_TELESEISMICEQ = False


# earthquake model files
### from Clinton & Heaton, Seis. Res. Let. 2002 v73 n3
EQFILES = [
    'models/data1.5@10',
    'models/data2.5@10',
    'models/data3.5@10',
    'models/data4.5@10',
    'models/data5.5@10',
    'models/data6.5@10',
    'models/data7.5@10', # [Note: this is 7.5]
#   'models/data7+@10max', #[Note: this is 7.5] - DO NOT USE
    'models/data1.5@100',
    'models/data2.5@100',
    'models/data3.5@100',
    'models/data4.5@100',
    'models/data5.5@100',
    'models/data6.5@100',
    'models/data7.5@100', # [Note: this is 7.5]
    'models/data6@3000',
    'models/data7@3000',
    'models/data8@3000',
#   'models/data8bolivia@3000' - DO NOT USE
]

